summaryrefslogtreecommitdiff
path: root/vcs.d/30vcs-cmd
diff options
context:
space:
mode:
Diffstat (limited to 'vcs.d/30vcs-cmd')
-rwxr-xr-xvcs.d/30vcs-cmd11
1 files changed, 11 insertions, 0 deletions
diff --git a/vcs.d/30vcs-cmd b/vcs.d/30vcs-cmd
new file mode 100755
index 0000000..074523d
--- /dev/null
+++ b/vcs.d/30vcs-cmd
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+IFS='
+'
+
+# check whether we can locate the vcs binary
+if [ -n "$VCS" ] && which "$VCS" > /dev/null; then
+ # pass commands to the VCS application
+ $VCS $@
+fi